package vip.xiaonuo.coldchain.modular.push.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 配置类
 */
@Component
@ConfigurationProperties("wechat")

public class PushConfigure {
    /**
     * 微信公众平台的appID
     */
    private static String appId;

    /**
     * 微信公众平台的appSecret
     */
    private static String secret;

    /**
     * 设备告警模板ID
     */
    private static String alarmsTemplateId;

    /**
     * 设备告警恢复模板ID
     */
    private static String alarmsRecoverTemplateId;

    /**
     * 设备上线模板ID
     */
    private static String OnlineTemplateId;

    /**
     * 设备下线模板ID
     */
    private static String offlineTemplateId;

    /**
     * 小程序appId
     */
    private static String miniProgram;

    /**
     * 小程序路径
     */
    private static String pagePath;


//    private static String redirectUrl;
    private static String accessTokenUrl;

    private static String userInfoUrl;

    public static String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        PushConfigure.appId = appId;
    }

    public static String getSecret() {
        return secret;
    }

    public void setSecret(String secret) {
        PushConfigure.secret = secret;
    }

    public static String getMiniProgram() {
        return miniProgram;
    }

    public void setMiniProgram(String miniProgram) {
        PushConfigure.miniProgram = miniProgram;
    }

    public static String getPagePath() {
        return pagePath;
    }

    public void setPagePath(String pagePath) {
        PushConfigure.pagePath = pagePath;
    }

    public static String getAccessTokenUrl() {
        return accessTokenUrl;
    }

    public void setAccessTokenUrl(String getAccessTokenUrl) {
        PushConfigure.accessTokenUrl = getAccessTokenUrl;
    }

    public static String getUserInfoUrl() {
        return userInfoUrl;
    }

    public void setUserInfoUrl(String getUserInfoUrl) {
        PushConfigure.userInfoUrl = getUserInfoUrl;
    }

    public static String getOfflineTemplateId() {
        return offlineTemplateId;
    }

    public void setOfflineTemplateId(String offlineTemplateId) {
        PushConfigure.offlineTemplateId = offlineTemplateId;
    }

    public static String getOnlineTemplateId() {
        return OnlineTemplateId;
    }

    public void setOnlineTemplateId(String onlineTemplateId) {
        OnlineTemplateId = onlineTemplateId;
    }

    public static String getAlarmsRecoverTemplateId() {
        return alarmsRecoverTemplateId;
    }

    public void setAlarmsRecoverTemplateId(String alarmsRecoverTemplateId) {
        PushConfigure.alarmsRecoverTemplateId = alarmsRecoverTemplateId;
    }

    public static String getAlarmsTemplateId() {
        return alarmsTemplateId;
    }

    public void setAlarmsTemplateId(String alarmsTemplateId) {
        PushConfigure.alarmsTemplateId = alarmsTemplateId;
    }

}